Bug 169732 - slmodem alsa driver 'snd_intel8x0m' failure: "Intel ICH Modem: probe of 0000:00:01.6 failed with error -5"
slmodem alsa driver 'snd_intel8x0m' failure: "Intel ICH Modem: probe of 0000:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-02 08:47 EDT by morgan read
Modified: 2009-01-09 01:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:54:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2005-10-02 08:47:01 EDT
Description of problem:
alsa modem failure in kernel boot log

Version-Release number of selected component (if applicable):
I'm running 2.6.12-1.1398_FC4, but this has been happening for some months (I've
only recently given it notice due to the alternate slamr module build failure
for 2.6.13-1.1526_FC4)

How reproducible:
Always

Steps to Reproduce:
1.Boot
2.
3.
  
Actual results:
...
Intel ICH Modem: probe of 0000:00:01.6 failed with error -5
(See extended out put below)

Expected results:
No failure.

Additional info:
I also have the same symptoms as Bug 162580, but have had the bug since it was
uncovered during this thread back in Feb
<http://linmodems.org/cgi-bin/ezmlm-cgi?1:mss:17294:200502:mbigoemcaogamjmopfje>.

Here's the full (but, sniped) output from the kernel startup log:
...
PCI: Found IRQ 10 for device 0000:00:01.6
PCI: Sharing IRQ 10 with 0000:00:01.1
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x1300]
... <some 440 lines sniped!>
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x1300]
AC'97 1 does not respond - RESET
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x1300]
AC'97 1 access is not valid [0xffffffff], removing mixer.
Unable to initialize codec #1
Intel ICH Modem: probe of 0000:00:01.6 failed with error -5
ohci_hcd: 2004 Nov 08 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
...
Comment 1 morgan read 2005-10-04 06:30:54 EDT
The module is snd_intel8x0m
The computer is a Clevo 2200T
After reading this patch
<http://www.alsa-project.org/alsa/ftp/kernel-patches/mm/3097.patch> I'm
including some more info below as run against two recent kernel versions (I'll
try with kernel-2.6.11-1.27_FC3 re Bug 162580 when I get a chance).

###############################################
2.6.13-1.1526_FC4
/var/log/messages
...
Oct  4 21:22:17 localhost kernel: PCI: Found IRQ 10 for device 0000:00:01.6
Oct  4 21:22:17 localhost kernel: PCI: Sharing IRQ 10 with 0000:00:01.1
Oct  4 21:22:17 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x1300]
Oct  4 21:22:17 localhost last message repeated 2 times
Oct  4 21:22:17 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x300]
Oct  4 21:22:17 localhost xinetd[1633]: xinetd Version 2.3.13 started with
libwrap loadavg options compiled in.
Oct  4 21:22:17 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x300]
Oct  4 21:22:17 localhost xinetd[1633]: Started working: 0 available services
Oct  4 21:22:17 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x300]
Oct  4 21:22:17 localhost last message repeated 375 times
Oct  4 21:22:17 localhost kernel: AC'97 1 does not respond - RESET
Oct  4 21:22:17 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x300]
Oct  4 21:22:17 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x300]
Oct  4 21:22:17 localhost kernel: AC'97 1 access is not valid [0xffffffff],
removing mixer.
Oct  4 21:22:17 localhost kernel: Unable to initialize codec #1
Oct  4 21:22:17 localhost kernel: Intel ICH Modem: probe of 0000:00:01.6 failed
with error -5
...

########################
[root@morgansmachine ~]# /home/morgan/Desktop/slmodemd -a hw:0 -c NEW_ZEALAND
SmartLink Soft Modem: version 2.9.9e-pre1 Sep 24 2005 14:47:19
symbolic link `/dev/ttySL0' -> `/dev/pts/2' created.
modem `hw:0' created. TTY is `/dev/pts/2'
Use `/dev/ttySL0' as modem device, Ctrl+C for termination.

########################
[root@morgansmachine ~]# wvdial SlingshotCallplus
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Sending: ATQ0 X3 E1 V1 &A3 &D2 &C1 S0=0 S6=0 L1 +FCLASS=0
ATQ0 X3 E1 V1 &A3 &D2 &C1 S0=0 S6=0 L1 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT087308880
--> Waiting for carrier.
ATDT087308880
Caught signal #2!  Attempting to exit gracefully...
--> Disconnecting at Tue Oct  4 22:12:21 2005
[root@morgansmachine ~]# wvdial SlingshotCallplus
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Sending: ATQ0 X3 E1 V1 &A3 &D2 &C1 S0=0 S6=0 L1 +FCLASS=0
ATQ0 X3 E1 V1 &A3 &D2 &C1 S0=0 S6=0 L1 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT087308880
--> Waiting for carrier.
ATDT087308880
Caught signal #2!  Attempting to exit gracefully...
--> Disconnecting at Tue Oct  4 22:14:33 2005
[root@morgansmachine ~]#

DOES NOT GO OFF-HOOK

###############################################
2.6.12-1.1398_FC4
/var/log/messages
...
Oct  4 22:30:37 localhost kernel: PCI: Found IRQ 10 for device 0000:00:01.6
Oct  4 22:30:37 localhost kernel: PCI: Sharing IRQ 10 with 0000:00:01.1
Oct  4 22:30:37 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x1300]
Oct  4 22:30:37 localhost last message repeated 416 times
Oct  4 22:30:37 localhost kernel: AC'97 1 does not respond - RESET
Oct  4 22:30:37 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x1300]
Oct  4 22:30:37 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x1300]
Oct  4 22:30:37 localhost kernel: AC'97 1 access is not valid [0xffffffff],
removing mixer.
Oct  4 22:30:37 localhost kernel: Unable to initialize codec #1
Oct  4 22:30:37 localhost kernel: Intel ICH Modem: probe of 0000:00:01.6 failed
with error -5
...

########################
[root@morgansmachine ~]# /home/morgan/Desktop/slmodemd -a hw:0 -c NEW_ZEALAND
error: mixer setup: Off-hook switch not found for card hw:0
SmartLink Soft Modem: version 2.9.9e-pre1 Sep 24 2005 14:47:19
symbolic link `/dev/ttySL0' -> `/dev/pts/2' created.
modem `hw:0' created. TTY is `/dev/pts/2'
Use `/dev/ttySL0' as modem device, Ctrl+C for termination.

########################
[root@morgansmachine ~]# wvdial SlingshotCallplus
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Sending: ATQ0 X3 E1 V1 &A3 &D2 &C1 S0=0 S6=0 L1 +FCLASS=0
ATQ0 X3 E1 V1 &A3 &D2 &C1 S0=0 S6=0 L1 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT087308880
--> Waiting for carrier.
ATDT087308880
Caught signal #2!  Attempting to exit gracefully...
--> Disconnecting at Tue Oct  4 22:51:36 2005
[root@morgansmachine ~]#

DOES NOT GO OFF-HOOK

Comment 2 morgan read 2005-10-28 17:10:18 EDT
Still broken in 2.6.13-1.1532_FC4:

[root@morgansmachine ~]# uname -r
2.6.13-1.1532_FC4
[root@morgansmachine ~]#
########################
[root@morgansmachine ~]# /home/morgan/Desktop/slmodemd-alsa -a hw:1 -c
NEW_ZEALAND error: mixer setup: attach hw:1 error: No such file or directory
error: alsa setup: cannot open playback device 'hw:1': No such file or directory
error: cannot setup device `hw:1'
[root@morgansmachine ~]#
########################
[root@morgansmachine ~]# /home/morgan/Desktop/slmodemd-alsa -a hw:0 -c NEW_ZEALAND
SmartLink Soft Modem: version 2.9.9e-pre1 Sep 24 2005 14:47:19
symbolic link `/dev/ttySL0' -> `/dev/pts/2' created.
modem `hw:0' created. TTY is `/dev/pts/2'
Use `/dev/ttySL0' as modem device, Ctrl+C for termination.

########################
[root@morgansmachine ~]# wvdial SlingshotCallplus
--> WvDial: Internet dialer version 1.54.0
--> Initializing modem.
--> Sending: ATZ
ATZ
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
OK
--> Sending: ATQ0 X3 E1 V1 &A3 &D2 &C1 S0=0 S6=0 L1 +FCLASS=0
ATQ0 X3 E1 V1 &A3 &D2 &C1 S0=0 S6=0 L1 +FCLASS=0
OK
--> Modem initialized.
--> Sending: ATDT,087308880
--> Waiting for carrier.
ATDT,087308880
--> Timed out while dialing.  Trying again.
...
########################
/var/log/messages
...
Oct 29 09:18:51 localhost kernel: PCI: Found IRQ 10 for device 0000:00:01.6
Oct 29 09:18:51 localhost kernel: PCI: Sharing IRQ 10 with 0000:00:01.1
Oct 29 09:18:51 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x1300]
Oct 29 09:18:51 localhost last message repeated 2 times
Oct 29 09:18:51 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x300]
Oct 29 09:18:51 localhost last message repeated 317 times
Oct 29 09:18:51 localhost kernel: AC'97 1 does not respond - RESET
Oct 29 09:18:51 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x300]
Oct 29 09:18:51 localhost kernel: codec_semaphore: semaphore is not ready
[0x1][0x300]
Oct 29 09:18:51 localhost kernel: AC'97 1 access is not valid [0xffffffff],
removing mixer.
Oct 29 09:18:51 localhost kernel: Unable to initialize codec #1
Oct 29 09:18:51 localhost kernel: Intel ICH Modem: probe of 0000:00:01.6 failed
with error -5
...
Comment 3 Dave Jones 2005-11-10 16:58:38 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 4 morgan read 2005-11-21 01:31:48 EST
Installed 2.6.14-1.1637_FC4.netdev.2

Same as before:(
Thanks.
Comment 5 Dave Jones 2006-02-03 01:18:21 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:38:53 EDT
Closing per previous comment.
Comment 7 morgan read 2006-05-05 04:20:13 EDT
Life...

Reopened - still brocken.  Re-set to fc5.

[morgan@morgansmachine ~]$ uname -r
2.6.15-1.2054_FC5

Here's another output from dmesg:

...
eth0: SiS 900 PCI Fast Ethernet at 0x3200, IRQ 10, 00:90:f5:13:d2:5f.
PCI: Found IRQ 5 for device 0000:00:01.4
PCI: Sharing IRQ 5 with 0000:00:0a.1
gameport: Trident 4DWave is pci0000:00:01.4/gameport0, speed 2593kHz
PCI: Found IRQ 10 for device 0000:00:01.6
PCI: Sharing IRQ 10 with 0000:00:01.1
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x300]
codec_semaphore: semaphore is not ready [0x1][0x300]
...
<sniped a few hundred lines>
...
codec_semaphore: semaphore is not ready [0x1][0x300]
codec_semaphore: semaphore is not ready [0x1][0x300]
AC'97 1 does not respond - RESET
codec_semaphore: semaphore is not ready [0x1][0x300]
codec_semaphore: semaphore is not ready [0x1][0x300]
AC'97 1 access is not valid [0xffffffff], removing mixer.
Unable to initialize codec #1
Intel ICH Modem: probe of 0000:00:01.6 failed with error -5
cs: IO port probe 0x100-0x3af: excluding 0x378-0x37f
...
[morgan@morgansmachine ~]$

Thanks all,
M.
Comment 8 Dave Jones 2006-10-16 15:49:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 morgan read 2006-10-17 22:42:57 EDT
Still broke.

[morgan@morgansmachine ~]$ dmesg
Linux version 2.6.18-1.2200.fc5 (brewbuilder@hs20-bc2-3.build.redhat.com) (gcc
version 4.1.1 20060525 (Red Hat 4.1.1-1)) #1 Sat Oct 14 16:59:26 EDT 2006
...
gameport: Trident 4DWave is pci0000:00:01.4/gameport0, speed 2593kHz
ACPI: PCI Interrupt 0000:00:01.6[C] -> Link [LNKC] -> GSI 10 (level, low) -> IRQ 10
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x1300]
codec_semaphore: semaphore is not ready [0x1][0x300]
...
[Repeated x 100s]
...
codec_semaphore: semaphore is not ready [0x1][0x300]
codec_semaphore: semaphore is not ready [0x1][0x300]
AC'97 1 does not respond - RESET
codec_semaphore: semaphore is not ready [0x1][0x300]
codec_semaphore: semaphore is not ready [0x1][0x300]
AC'97 1 access is not valid [0xffffffff], removing mixer.
Unable to initialize codec #1
Intel ICH Modem: probe of 0000:00:01.6 failed with error -5
cs: IO port probe 0x100-0x3af: excluding 0x378-0x37f
...

(PS couldn't change status back to new so changed it to assigned.)
Comment 10 petrosyan 2008-03-10 12:06:40 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 11 Bug Zapper 2008-04-03 22:02:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 11:31:40 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 morgan read 2008-05-10 05:01:35 EDT
[root@morgansoldmachine ~]# uname -r
2.6.24.3-34.fc8
[root@morgansoldmachine ~]# dmesg
Initializing cgroup subsys cpuset
Linux version 2.6.24.3-34.fc8 (mockbuild@xenbuilder1.fedora.redhat.com) (gcc
version 4.1.2 20070925 (Red Hat 4.1.2-33)) #1 SMP Wed Mar 12 18:17:20 EDT 2008
...

ACPI: PCI Interrupt 0000:00:01.6[C] -> Link [LNKC] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI Interrupt 0000:00:01.4[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
gameport: Trident 4DWave is pci0000:00:01.4/gameport0, speed 2593kHz
ALSA sound/pci/intel8x0m.c:338: codec_semaphore: semaphore is not ready
[0x1][0x1300]
ALSA sound/pci/intel8x0m.c:366: codec_read 1: semaphore is not ready for
register 0x54
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
...

Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
ALSA sound/pci/intel8x0m.c:338: codec_semaphore: semaphore is not ready
[0x1][0x1300]
ALSA sound/pci/intel8x0m.c:352: codec_write 1: semaphore is not ready for
register 0x40
ALSA sound/pci/intel8x0m.c:338: codec_semaphore: semaphore is not ready
[0x1][0x1300]
ALSA sound/pci/intel8x0m.c:352: codec_write 1: semaphore is not ready for
register 0x46
eth0: Media Link On 100mbps full-duplex 
...
[root@morgansoldmachine ~]# 
Comment 14 Bug Zapper 2008-11-26 01:53:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-01-09 01:54:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.